f5sdk.bigip.extension.extension_cf module¶
Python module containing Cloud Failover Extension Client
-
class
f5sdk.bigip.extension.extension_cf.CFClient(client, **kwargs)¶ CF client
-
component¶ the extension component
- Type
str
-
version¶ the extension component version
- Type
str
-
package¶ Package (see PackageClient for more details)
-
service¶ Service (see CFServiceClient for more details)
-
-
class
f5sdk.bigip.extension.extension_cf.CFServiceClient(client, component, version, metadata_client, **kwargs)¶ CF service client
-
component¶ the extension component
- Type
str
-
version¶ the extension component version
- Type
str
-
create(**kwargs)¶ Creates (or updates) extension component service
- Parameters
**kwargs – optional keyword arguments
- Keyword Arguments
config (dict) – a dictionary containing configuration
config_file (str) – a local file containing configuration to load
- Returns
the response to a service create
- Return type
dict
-
is_available()¶ Checks extension component service is available
Notes
Retries up to 60 seconds
- Parameters
None –
- Returns
a boolean based on service availability
- Return type
bool
-
reset(**kwargs)¶ Performs a POST against the component reset endpoint
- Parameters
**kwargs – optional keyword arguments
- Keyword Arguments
config (dict) – a dictionary containing configuration
config_file (str) – a local file containing configuration to load
- Returns
the API response to a service reset
- Return type
dict
-
show()¶ Gets (shows) the extension component service
- Parameters
None –
- Returns
the response to a service get
- Return type
dict
-
show_info()¶ Show component extension info
- Parameters
None –
- Returns
the API response to a service info get
- Return type
dict
-
show_inspect(**kwargs)¶ Performs a show inspect operation
- Parameters
**kwargs – optional keyword arguments
- Keyword Arguments
query_parameters (dict) – optional query parameters to include
- Returns
the API response
- Return type
dict
-
show_trigger()¶ Performs a GET against the component trigger endpoint
- Parameters
None –
- Returns
the API response
- Return type
dict
-
trigger(**kwargs)¶ Performs a POST against the component trigger endpoint
- Parameters
**kwargs – optional keyword arguments
- Keyword Arguments
config (dict) – a dictionary containing configuration
config_file (str) – a local file containing configuration to load
- Returns
the API response
- Return type
dict
-